<!DOCTYPE html>
<html  >
<head>
  <!-- Site made with Mobirise Website Builder v4.11.5, https://mobirise.com -->
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="generator" content="Mobirise v4.11.5, mobirise.com">
  <meta name="viewport" content="width=device-width, initial-scale=1, minimum-scale=1">
  <link rel="shortcut icon" href="assets/images/artboard-152x138.png" type="image/x-icon">
  <meta name="description" content="Web Site Creator Description">
  
  <title>Output Devices&nbsp;</title>
  <link rel="stylesheet" href="assets/web/assets/mobirise-icons/mobirise-icons.css">
  <link rel="stylesheet" href="assets/bootstrap/css/bootstrap.min.css">
  <link rel="stylesheet" href="assets/bootstrap/css/bootstrap-grid.min.css">
  <link rel="stylesheet" href="assets/bootstrap/css/bootstrap-reboot.min.css">
  <link rel="stylesheet" href="assets/tether/tether.min.css">
  <link rel="stylesheet" href="assets/dropdown/css/style.css">
  <link rel="stylesheet" href="assets/theme/css/style.css">
  <link rel="preload" as="style" href="assets/mobirise/css/mbr-additional.css"><link rel="stylesheet" href="assets/mobirise/css/mbr-additional.css" type="text/css">
  
  
  
</head>
<body>
  <section class="menu cid-qTkzRZLJNu" once="menu" id="menu1-iq">

    

    <nav class="navbar navbar-expand beta-menu navbar-dropdown align-items-center navbar-fixed-top navbar-toggleable-sm">
        <button class="navbar-toggler navbar-toggler-right" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
            <div class="hamburger">
                <span></span>
                <span></span>
                <span></span>
                <span></span>
            </div>
        </button>
        <div class="menu-logo">
            <div class="navbar-brand">
                <span class="navbar-logo">
                    <a href="https://mobirise.com">
                         <img src="assets/images/artboard-152x138.png" alt="Mobirise" title="" style="height: 4.3rem;">
                    </a>
                </span>
                <span class="navbar-caption-wrap"><a class="navbar-caption text-white display-2" href="index.html">MDEF</a></span>
            </div>
        </div>
        <div class="collapse navbar-collapse" id="navbarSupportedContent">
            <ul class="navbar-nav nav-dropdown nav-right" data-app-modern-menu="true"><li class="nav-item">
                    <a class="nav-link link text-white display-4" href="page1.html"><span class="mbri-edit2 mbr-iconfont mbr-iconfont-btn"></span>
                        
                        Term 1</a>
                </li><li class="nav-item"><a class="nav-link link text-white display-4" href="page14.html"><span class="mbri-edit2 mbr-iconfont mbr-iconfont-btn"></span>
                        
                        Term 2</a></li><li class="nav-item"><a class="nav-link link text-white display-4" href="page38.html"><span class="mbri-edit2 mbr-iconfont mbr-iconfont-btn"></span>
                        
                        Term 3&nbsp;</a></li><li class="nav-item"><a class="nav-link link text-white display-4" href="page55.html"><span class="mbri-hearth mbr-iconfont mbr-iconfont-btn"></span>Final Project</a></li></ul>
            
        </div>
    </nav>
</section>

<section class="engine"><a href="https://mobirise.info/x">css templates</a></section><section class="mbr-section content4 cid-s0nVnNaCOn" id="content4-ir">

    

    <div class="container">
        <div class="media-container-row">
            <div class="title col-12 col-md-8">
                <h2 class="align-center pb-3 mbr-fonts-style display-2">
                    Output Devices&nbsp;</h2>
                <h3 class="mbr-section-subtitle align-center mbr-light mbr-fonts-style display-5">One step closer to the sound of plants &nbsp;</h3>
                
            </div>
        </div>
    </div>
</section>

<section class="mbr-section article content1 cid-s0o2JCrvJO" id="content1-is">
    
     

    <div class="container">
        <div class="media-container-row">
            <div class="mbr-text col-12 mbr-fonts-style display-7 col-md-10"><p>For this first step, what I did was help myself with an arduino tutorial in the one I learned how to use a buzzer / speaker with Arduino. I chose sound as an output because it was the logical step to get closer to my "sound of plants" projects. These types of buzzers can be found in alarm devices, computers, timers and confirmation of user input such as a mouse click or keystroke. For my interest, I want to connect it with the logic of a touch sensor, in oder for it to make sound according to where a person touches a plant. The process of assigning sound and sensitive frecuencies to the touch would be my next step. In the tutorial, they also showed<span style="font-size: 1rem;">&nbsp;how to use the tone() and noTone() function.</span></p></div>
        </div>
    </div>
</section>

<section class="mbr-section content4 cid-s0o6YueDVL" id="content4-it">

    

    <div class="container">
        <div class="media-container-row">
            <div class="title col-12 col-md-8">
                <h2 class="align-center pb-3 mbr-fonts-style display-5">List of Materials</h2>
                
                
            </div>
        </div>
    </div>
</section>

<section class="cid-s0o75jjv2P" id="image1-iu">

    

    <figure class="mbr-figure container">
        <div class="image-block" style="width: 80%;">
            <img src="assets/images/screen-shot-2020-05-29-at-4.35.47-pm.png" width="1400" alt="Mobirise" title="">
            
        </div>
    </figure>
</section>

<section class="mbr-section article content1 cid-s0o7pXhBEc" id="content1-iv">
    
     

    <div class="container">
        <div class="media-container-row">
            <div class="mbr-text col-12 mbr-fonts-style display-7 col-md-10"><p>- Arduino uno<br><span style="font-size: 1rem;">- Breadboard<br></span><span style="font-size: 1rem;">- Buzzer / piezo speaker<br></span><span style="font-size: 1rem;">- 100 Ohm resistor (optional)</span></p></div>
        </div>
    </div>
</section>

<section class="mbr-section content4 cid-s0o7AhB6Yw" id="content4-iw">

    

    <div class="container">
        <div class="media-container-row">
            <div class="title col-12 col-md-8">
                <h2 class="align-center pb-3 mbr-fonts-style display-5">The circuit&nbsp;</h2>
                
                
            </div>
        </div>
    </div>
</section>

<section class="cid-s0o7NQG1sd" id="image1-ix">

    

    <figure class="mbr-figure container">
        <div class="image-block" style="width: 80%;">
            <img src="assets/images/screen-shot-2020-05-29-at-4.37.52-pm.png" width="1400" alt="Mobirise" title="">
            
        </div>
    </figure>
</section>

<section class="mbr-section article content1 cid-s0o7TeVCpO" id="content1-iy">
    
     

    <div class="container">
        <div class="media-container-row">
            <div class="mbr-text col-12 mbr-fonts-style display-7 col-md-10"><p>The circuit was rather simple. It was easy to understand and connect. This is how I did it:</p></div>
        </div>
    </div>
</section>

<section class="cid-s0o9VdaLtQ" id="image1-iz">

    

    <figure class="mbr-figure container">
        <div class="image-block" style="width: 80%;">
            <img src="assets/images/img-359.jpg" width="1400" alt="Mobirise" title="">
            
        </div>
    </figure>
</section>

<section class="mbr-section content4 cid-s0obqxBltm" id="content4-j3">

    

    <div class="container">
        <div class="media-container-row">
            <div class="title col-12 col-md-8">
                <h2 class="align-center pb-3 mbr-fonts-style display-5">The code&nbsp;</h2>
                
                
            </div>
        </div>
    </div>
</section>

<section class="mbr-section article content1 cid-s0oby8OzqS" id="content1-j4">
    
     

    <div class="container">
        <div class="media-container-row">
            <div class="mbr-text col-12 mbr-fonts-style display-7 col-md-10"><div><span style="font-size: 1rem;">How does the code work? It's simple, tone(buzzer, 1000) sends a 1KHz sound signal to pin 9, delay(1000) pause the program for one second and noTone(buzzer) stops the signal sound. The loop() routine will make this run again and again making a short beeping sound.</span><br></div><div><br></div><div>After that code was set, I could play with the task by changing the code values. For example, I tried to change the sound signal "1000" (1KHz) to "500" (500Hz) or delay time to see how it changed the program, sound and tempos<span style="font-size: 1rem;">.</span></div><div><br></div><div>But again, this code of the tutorial was just for the output to be sound connected with the arduino. What I wanted to do is that the sound would be activated by touch. So what I did was to mix the previous <a href="page30.html">"Input devices" and Capacitive Sensor week </a>with this one, to have a buzzer that would sound with touch.&nbsp;</div><div><br></div><div>The original code of this buzzer tutorial was this one. So I did that first:&nbsp;</div><div><br></div></div>
        </div>
    </div>
</section>

<section class="cid-s0ocVgMeYK" id="image1-j5">

    

    <figure class="mbr-figure container">
        <div class="image-block" style="width: 80%;">
            <img src="assets/images/screen-shot-2020-05-29-at-4.58.19-pm.png" width="1400" alt="Mobirise" title="">
            
        </div>
    </figure>
</section>

<section class="mbr-section article content1 cid-s0oe8HZrxx" id="content1-j6">
    
     

    <div class="container">
        <div class="media-container-row">
            <div class="mbr-text col-12 mbr-fonts-style display-7 col-md-10"><p>After this worked, my next step was to combine, as I said before, this code with the input devices one from the capacitive sensor. This is what I did:&nbsp;</p><p><br></p></div>
        </div>
    </div>
</section>

<section class="cid-s0oetO2fkG" id="image1-j7">

    

    <figure class="mbr-figure container">
        <div class="image-block" style="width: 80%;">
            <img src="assets/images/screen-shot-2020-05-29-at-5.04.23-pm.png" width="1400" alt="Mobirise" title="">
            
        </div>
    </figure>
</section>

<section class="mbr-section content4 cid-s0ofeddjiK" id="content4-j8">

    

    <div class="container">
        <div class="media-container-row">
            <div class="title col-12 col-md-8">
                <h2 class="align-center pb-3 mbr-fonts-style display-5"><br>The Result&nbsp;</h2>
                
                
            </div>
        </div>
    </div>
</section>

<section class="mbr-section article content1 cid-s0oomUR20M" id="content1-jb">
    
     

    <div class="container">
        <div class="media-container-row">
            <div class="mbr-text col-12 mbr-fonts-style display-7 col-md-10"><p>The result of this task was what you will see in the following videos. The output worked as sound and the input was the touch. I tested it with plants and different sensitivity values to see is the sound would change. In this case, it was a similar high pitch, which is not pleasant at all. But at least it works in principle.&nbsp;</p><p>My next step would be to make senses of the frecuencies of touch related to sound as an output, with plants as an intermediary. I would also like to assign specific sound to ranges of sound waves to make it a pleasant experience.&nbsp;</p><p><br></p></div>
        </div>
    </div>
</section>

<section class="cid-s0oaarzTpF" id="image1-j0">

    

    <figure class="mbr-figure container">
        <div class="image-block" style="width: 80%;">
            <img src="assets/images/img-367.jpg" width="1400" alt="Mobirise" title="">
            
        </div>
    </figure>
</section>

<section class="cid-s0onLeTwMA" id="video3-j9">

    
    
    <figure class="mbr-figure align-center container">
        <div class="video-block" style="width: 80%;">
            <div><iframe class="mbr-embedded-video" src="https://www.youtube.com/embed/sU8WS1Ftteg?rel=0&amp;amp;showinfo=0&amp;autoplay=0&amp;loop=0" width="1280" height="720" frameborder="0" allowfullscreen></iframe></div>
        </div>
    </figure>
</section>

<section class="cid-s0ooeMXMw8" id="video3-ja">

    
    
    <figure class="mbr-figure align-center container">
        <div class="video-block" style="width: 80%;">
            <div><iframe class="mbr-embedded-video" src="https://www.youtube.com/embed/pNCx6bkrKYc?rel=0&amp;amp;showinfo=0&amp;autoplay=0&amp;loop=0" width="1280" height="720" frameborder="0" allowfullscreen></iframe></div>
        </div>
    </figure>
</section>

<section class="mbr-section content4 cid-s0oapKzz1c" id="content4-j1">

    

    <div class="container">
        <div class="media-container-row">
            <div class="title col-12 col-md-8">
                <h2 class="align-center pb-3 mbr-fonts-style display-5">Files&nbsp;</h2>
                
                
            </div>
        </div>
    </div>
</section>

<section class="mbr-section content4 cid-s0oaqoWg5e" id="content4-j2">

    

    <div class="container">
        <div class="media-container-row">
            <div class="title col-12 col-md-8">
                <h2 class="align-center pb-3 mbr-fonts-style display-5"><br><a href="https://juanitapardo.gitlab.io/juanitapardogarcia/files/BUZZER2.ino">File1</a> / <a href="https://juanitapardo.gitlab.io/juanitapardogarcia/files/capacitive_sensor-soundoutput.ino">File2</a></h2>
                
                
            </div>
        </div>
    </div>
</section>


  <script src="assets/web/assets/jquery/jquery.min.js"></script>
  <script src="assets/popper/popper.min.js"></script>
  <script src="assets/bootstrap/js/bootstrap.min.js"></script>
  <script src="assets/tether/tether.min.js"></script>
  <script src="assets/smoothscroll/smooth-scroll.js"></script>
  <script src="assets/dropdown/js/nav-dropdown.js"></script>
  <script src="assets/dropdown/js/navbar-dropdown.js"></script>
  <script src="assets/touchswipe/jquery.touch-swipe.min.js"></script>
  <script src="assets/theme/js/script.js"></script>
  
  
</body>
</html>